------------------------------------------------------------------------------------
--Name：  211228[简体征服][活动脚本]GlobalValentine活动--郁金香部分
--Creator:      洪聪敏
--Created:     2021-12-28
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>252


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(60,55)

local playerNpc1 = CppScriptMgr:AddSimplePlayer(12770,60,66, "InjuredTiger");

CppScriptMgr:AddEffect("zero8160", 60,54)
local playerNpc2 = CppScriptMgr:AddSimplePlayer(1058510,60,54, "GriffiniaFairy");
CppScriptMgr:WaitMilSec(1000)

playerNpc2:RunTo(62,63)
CppScriptMgr:WaitMilSec(3000)
playerNpc2 :SetAction(220)
playerNpc2 :SetAction(220)
playerNpc2 :SetAction(220)
playerNpc2 :SetAction(220)

playerNpc1:Say("Don`t cry.", 2000)
CppScriptMgr:WaitMilSec(1000)

playerNpc2:Say("Sobbing... I told you not to do that!", 2000)
CppScriptMgr:WaitMilSec(1000)

playerNpc1:Say("It`s all my fault. I`m so sorry.", 2000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("Jabali_show3", 60,66)
CppScriptMgr:WaitMilSec(1000)
playerNpc1:SetPos(5000,5000)
CppScriptMgr:WaitMilSec(1000)